var Ped02300PrecoBaseRepositories = function(restEngine) {

    this.newCode = function(row) {
        return restEngine.post('ped_pedidos#/newCode', {
            "requestType": "Row",
            "row": row
        });    
    };
    
    this.setPromoPrBase = function(row) {
        return restEngine.post('ped#/crud/promoprbase/save', {
            "requestType": "Row",
            "row": row
        });
    };

    this.setItemPrecoBase = function(newItemPrecoBase) {
        return restEngine.post('ped#/crud/itemprebase/save', {
            "requestType": "Row",
            "row": newItemPrecoBase
        });
    };

    this.removeItemPrecoBase = function(row) {
        return restEngine.post('ped#/crud/itemprebase/remove', {
            "requestType": "Row",
            "row": row
        });
    };

    this.removePrecoBase = function(row) {
        return restEngine.post('ped#/crud/precobase/remove', {
            "requestType": "Row",
            "row": row
        });
    };

    this.exportaItem = function(row){
        return restEngine.post('ped_pedidos#/exportarItem', {
            "requestType": "Row",
            "row": row
        });
    };

    this.saveFatorPreco = function(row){
        return restEngine.post('ped_pedidos#/saveFatorPreco', {
            "requestType": "Row",
            "row": row
        });
    };
    
};

Configuration(function(ContextRegister) {
    ContextRegister.register('Ped02300PrecoBaseRepositories', Ped02300PrecoBaseRepositories);
});